japa.parser.ast

## Class Comment

- java.lang.Object
- - japa.parser.ast.Node
  - - japa.parser.ast.Comment

Direct Known Subclasses:
  BlockComment, JavadocComment, LineComment

    public abstract class Comment
    extends Node

Abstract class for all AST nodes that represent comments.

See Also:
  `BlockComment`, `LineComment`, `JavadocComment`

### Constructor Summary

Constructors
Constructor and Description
`Comment()`
`Comment(int beginLine, int beginColumn, int endLine, int endColumn, String content)`
`Comment(String content)`

### Method Summary

Methods
`String` `getContent()` Return the text of the comment.
`void` `setContent(String content)` Sets the text of the comment.

### Methods inherited from class japa.parser.ast.Node

`accept, accept, equals, getBeginColumn, getBeginLine, getData, getEndColumn, getEndLine, hashCode, setBeginColumn, setBeginLine, setData, setEndColumn, setEndLine, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Comment

    public Comment()

#### Comment

    public Comment(String content)

#### Comment

    public Comment(int beginLine,
           int beginColumn,
           int endLine,
           int endColumn,
           String content)

### Method Detail

#### getContent

    public final String getContent()

Return the text of the comment.

Returns:
  text of the comment

#### setContent

    public void setContent(String content)

Sets the text of the comment.

Parameters:
  `content` - the text of the comment to set